#include <stdio.h>
#include <string.h>

#define MAX 100

/* Uma funcao  que encontra o menor valor em um  array entre os indices
 * "a" e "b" (inclusive)
 */
int menor_indice(char v[], int a)
{
  int i, menor;

  menor = a;
  for(i = a+1; v[i]; i++)
    if ( toupper(v[i]) <= toupper(v[menor]) )
      menor = i;
  
  return menor;
}


/* Uma funcao que troca os valores entre dois elementos de um array */
void troca_v( char vet[], int i, int j)
{
  char aux;
   
  aux = vet[i];
  vet[i] = vet[j];
  vet[j] = aux;
}

/* Uma funcao que ordena os caracteres de um string usando o algoritmo de
 * Bubble sort.
 * Entrada:  string a ser ordenado -- lista[]
 */
void ordena(char frase[])
{
  int i,j,
      menor;    /* indice do menor valor no array entre i e tam-1 */
  
  // puts(frase);
  for(i = 0; frase[i]; i++)
  {
    menor = menor_indice( frase, i);
    
    troca_v( frase, i, menor );
    // puts(frase);
  }
}

int main()
{
  char txt[MAX];

  printf("Indique texto: ");
  fgets(txt, MAX, stdin);
  txt[strlen(txt)-1] = '\0';

  ordena(txt);

  printf("String ordenado: %s\n", txt);

}
